package com.ruoyi.app.service;

import java.util.List;
import com.ruoyi.app.domain.Pigpen;
import com.ruoyi.common.core.domain.entity.SysUser;

/**
 * 待宰圈Service接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface IPigpenService 
{
    /**
     * 查询待宰圈
     * 
     * @param id 待宰圈主键
     * @return 待宰圈
     */
    public Pigpen selectPigpenById(Long id);

    /**
     * 查询待宰圈列表
     * 
     * @param pigpen 待宰圈
     * @return 待宰圈集合
     */
    public List<Pigpen> selectPigpenList(Pigpen pigpen);

    /**
     * 校验待宰圈名称是否唯一
     *
     * @param  pigpen 待宰圈
     * @return 结果
     */
    public boolean checkPigpenNameUnique(Pigpen pigpen);

    /**
     * 新增待宰圈
     * 
     * @param pigpen 待宰圈
     * @return 结果
     */
    public int insertPigpen(Pigpen pigpen);

    /**
     * 修改待宰圈
     * 
     * @param pigpen 待宰圈
     * @return 结果
     */
    public int updatePigpen(Pigpen pigpen);

    /**
     * 批量删除待宰圈
     * 
     * @param ids 需要删除的待宰圈主键集合
     * @return 结果
     */
    public int deletePigpenByIds(Long[] ids);

    /**
     * 删除待宰圈信息
     * 
     * @param id 待宰圈主键
     * @return 结果
     */
    public int deletePigpenById(Long id);
}
